0

I tried to install latest upstream kernel(linux-headers-3.17.0-031700rc2-generic_3.17.0-031700rc2.201408251935_amd64.deb) from here but installation failed with this error:

user@user-pc:~$ sudo dpkg -i linux-headers-3.17.0-031700rc2-generic_3.17.0-031700rc2.201408251935_amd64.deb
(Reading database ... 228154 files and directories currently installed.)
Preparing to unpack linux-headers-3.17.0-031700rc2-generic_3.17.0-031700rc2.201408251935_amd64.deb ...
Unpacking linux-headers-3.17.0-031700rc2-generic (3.17.0-031700rc2.201408251935) over (3.17.0-031700rc2.201408251935) ...
dpkg: dependency problems prevent configuration of linux-headers-3.17.0-031700rc2-generic:
 linux-headers-3.17.0-031700rc2-generic depends on linux-headers-3.17.0-031700rc2; however:
  Package linux-headers-3.17.0-031700rc2 is not installed.

dpkg: error processing package linux-headers-3.17.0-031700rc2-generic (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-headers-3.17.0-031700rc2-generic

I tried to install with using GDebi and I get this error:

user@user-pc:~$ sudo gdebi linux-headers-3.17.0-031700rc2-generic_3.17.0-031700rc2.201408251935_amd64.deb
Reading package lists... Done
Building dependency tree
Reading state information... Done
Building data structures... Done
Building data structures... Done
This package is uninstallable
Dependency is not satisfiable: linux-headers-3.17.0-031700rc2

After that I saw this icon on top bar:

enter image description here

by right-click on it, this error message written in it:

An error occurred, please run Package Manager from the right-click menu or apt-get in a teminal to see what is wrong. The error message was :'Error:BrokenCount>0'. This usually means that your installed packages have unment dependences

and three another options such as Show updates, Show Notifications and Preferences. I click on Show updates and now this window start to upgrade the Distribution

enter image description here

Now that finished with this window shown:

enter image description here

I choice Remove and popup window asks "restart to complete", and after restart I tried to install again this kernel but I get the same errors that I mentioned in above.

Here is the output of try install again with some error:

user@user-pc:~$ cd /home/user/install-kernel
user@user-pc:~/install-kernel$ sudo dpkg -i *.deb
[sudo] password for user: 
(Reading database ... 255488 files and directories currently installed.)
Preparing to unpack linux-headers-3.17.0-031700rc2_3.17.0-031700rc2.201408251935_all.deb ...
Unpacking linux-headers-3.17.0-031700rc2 (3.17.0-031700rc2.201408251935) over (3.17.0-031700rc2.201408251935) ...
Preparing to unpack linux-headers-3.17.0-031700rc2-generic_3.17.0-031700rc2.201408251935_amd64.deb ...
Unpacking linux-headers-3.17.0-031700rc2-generic (3.17.0-031700rc2.201408251935) over (3.17.0-031700rc2.201408251935) ...
Preparing to unpack linux-image-3.17.0-031700rc2-generic_3.17.0-031700rc2.201408251935_amd64.deb ...
Done.
Unpacking linux-image-3.17.0-031700rc2-generic (3.17.0-031700rc2.201408251935) over (3.17.0-031700rc2.201408251935) ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.17.0-031700rc2-generic /boot/vmlinuz-3.17.0-031700rc2-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.17.0-031700rc2-generic /boot/vmlinuz-3.17.0-031700rc2-generic
Setting up linux-headers-3.17.0-031700rc2 (3.17.0-031700rc2.201408251935) ...
Setting up linux-headers-3.17.0-031700rc2-generic (3.17.0-031700rc2.201408251935) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.17.0-031700rc2-generic /boot/vmlinuz-3.17.0-031700rc2-generic
ERROR (dkms apport): kernel package linux-headers-3.17.0-031700rc2-generic is not supported
Error! Bad return status for module build on kernel: 3.17.0-031700rc2-generic (x86_64)
Consult /var/lib/dkms/bcmwl/6.30.223.141+bdcom/build/make.log for more information.
ERROR (dkms apport): kernel package linux-headers-3.17.0-031700rc2-generic is not supported
Error! Bad return status for module build on kernel: 3.17.0-031700rc2-generic (x86_64)
Consult /var/lib/dkms/nvidia-304-updates/304.117/build/make.log for more information.
Setting up linux-image-3.17.0-031700rc2-generic (3.17.0-031700rc2.201408251935) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Not updating initrd symbolic links since we are being updated/reinstalled 
(3.17.0-031700rc2.201408251935 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled 
(3.17.0-031700rc2.201408251935 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.17.0-031700rc2-generic /boot/vmlinuz-3.17.0-031700rc2-generic
run-parts: executing /etc/kernel/postinst.d/dkms 3.17.0-031700rc2-generic /boot/vmlinuz-3.17.0-031700rc2-generic
ERROR (dkms apport): kernel package linux-headers-3.17.0-031700rc2-generic is not supported
Error! Bad return status for module build on kernel: 3.17.0-031700rc2-generic (x86_64)
Consult /var/lib/dkms/bcmwl/6.30.223.141+bdcom/build/make.log for more information.
ERROR (dkms apport): kernel package linux-headers-3.17.0-031700rc2-generic is not supported
Error! Bad return status for module build on kernel: 3.17.0-031700rc2-generic (x86_64)
Consult /var/lib/dkms/nvidia-304-updates/304.117/build/make.log for more information.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.17.0-031700rc2-generic /boot/vmlinuz-3.17.0-031700rc2-generic
update-initramfs: Generating /boot/initrd.img-3.17.0-031700rc2-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.17.0-031700rc2-generic /boot/vmlinuz-3.17.0-031700rc2-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.17.0-031700rc2-generic /boot/vmlinuz-3.17.0-031700rc2-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.17.0-031700rc2-generic /boot/vmlinuz-3.17.0-031700rc2-generic
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-3.17.0-031700rc2-generic
Found initrd image: /boot/initrd.img-3.17.0-031700rc2-generic
Found linux image: /boot/vmlinuz-3.13.0-34-generic
Found initrd image: /boot/initrd.img-3.13.0-34-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
Found Windows 8 (loader) on /dev/sda1
done
user@user-pc:~/install-kernel$ 
  • 1
    Obligatory XKCD comic: xkcd.com/754 – Kaz Wolfe Aug 28 '14 at 6:19
  • Is there something special you need to try to install a precompíled kernel out of the official repository and with no guarantee to work on a daily basis to begin with? – xangua Aug 28 '14 at 6:48
  • @xangua Yse I have a problem with keyboard back-light that I asked here and through a chat with [@Whaaaaaat] this problem can BEST be described as a bug. And I post this problem as a bug and there suggest to me install upstream kernel to test my issue if fix with that. – αғsнιη Aug 28 '14 at 6:59
3

Try installing this file:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-rc2-utopic/linux-headers-3.17.0-031700rc2_3.17.0-031700rc2.201408251935_all.deb

It should satisfy the dependancy.

You should have these installed:

  • linux-headers-3.17.0-031700rc2-generic_3.17.0-031700rc2.201408251935_amd64.deb
  • linux-headers-3.17.0-031700rc2_3.17.0-031700rc2.201408251935_all.deb
  • linux-image-3.17.0-031700rc2-generic_3.17.0-031700rc2.201408251935_amd64.deb

All of the files above are available from here.

NOTE: BUGS ARE TO BE EXPECTED! It is a testing kernel and is therefore very very very unstable.

[Src]

  • @KasiyA Was there any progess? – Kaz Wolfe Aug 29 '14 at 6:35
  • @KasiyA If you installed headers-generic already, install headers. If you haven't installed image, install that now followed by headers. – Kaz Wolfe Aug 29 '14 at 6:47
  • @KasiyA You need to install all packages first. Or even better, make a folder and put all of the kernel DEB files in them, cd into that folder, and run sudo dpkg -i *.deb – Kaz Wolfe Aug 29 '14 at 7:28

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.